# SIPResponse Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPResponse:

[legend]
Collaboration diagram for SIPResponse:
[legend]

## Public Member Functions

| SIPResponse (SIPEndPoint &endpoint, const SIP_PDU &command, StatusCodes code)
virtual SIPTransaction * | CreateDuplicate () const
bool | Resend (SIP_PDU &command)

## Detailed Description

When we receive a command, we need a transaction to send repeated responses.

## Constructor & Destructor Documentation

SIPResponse::SIPResponse | ( | SIPEndPoint & | endpoint,
|  | const SIP_PDU & | command,
|  | StatusCodes | code |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPResponse::CreateDuplicate | ( |  | ) | const`[virtual]`

Implements SIPTransaction.

bool SIPResponse::Resend | ( | SIP_PDU & | command | ) |

The documentation for this class was generated from the following file:

- sippdu.h